dpkg-query(1)

NAME
dpkg-query - ein Werkzeug, um die dpkg-Datenbank abzufragen

ÜBERSICHT
dpkg-query [Option...] Befehl

BESCHREIBUNG
dpkg-query ist ein Werkzeug, um Informationen über Pakete zu zeigen, die in der dpkg-Datenbank aufgeführt sind.

BEFEHLE

-l, --list Paketname-Muster ...
    List packages matching given pattern. If no package-name-pattern is given, list all packages in /var/lib/dpkg/status, excluding the ones marked as not-installed (i.e. those which have been previously purged). Normal shell wildchars are allowed in package-name-pattern. Please note you will probably have to quote package-name-pattern to prevent the shell from performing filename expansion. For example this will list all package names starting with “libc6”:
      dpkg-query -l 'libc6*'
    Das Ausgabeformat dieser Option kann nicht konfiguriert werden, variiert aber automatisch mit der Terminalbreite. Die Ausgabe ist für menschliche Leser gedacht und nicht leicht maschinenlesbar. Lesen Sie über die Optionen -W (--show) und --showformat, um das Ausgabeformat zu konfigurieren.

-W, --show Paketname-Muster ...
    Genau wie die --list-Option wird dies alle Pakete, die auf das angegebene Muster passen, aufführen. Allerdings kann die Ausgabe mit der --showformat-Option angepasst werden. Im Standardausgabeformat wird eine Zeile pro passendem Paket ausgegeben, wobei in jeder Zeile Name und installierte Version des Pakets getrennt durch einen Tabulator enthalten sind.

-s, --status Paketname ...
    Berichte Zustand des angegebenen Paketes. Dies zeigt nur den Eintrag in der Datenbank der Zustände der installierten Pakete.

-L, --listfiles Paketname ...
    Aufführen von Dateien, die durch Paketname installiert wurden. Beachten Sie aber, dass Dateien, die durch Paket-spezifische Installationsskripte erstellt wurden, nicht aufgeführt werden.

-S, --search Dateiname-Suchmuster ...
    Suche nach einem Dateinamen aus einem installierten Paket. Alle Standard-Jokerzeichen (»wildcards«) der Shell können in diesem Muster verwandt werden. Dieser Befehl wird weder die zusätzlichen Dateien, die durch Betreuer-Skripte erstellt wurden, noch Alternativen aufführen.

-p, --print-avail Paketname
    Display details about package-name, as found in /var/lib/dpkg/available. Users of APT-based frontends should use apt-cache show package-name instead as the available file is only kept up-to-date when using dselect.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

--licence, --license
    Zeigt die Kopier-Lizenzierungsbedingungen und beendet sich.

OPTIONEN

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank. Der Standardort ist /var/lib/dpkg.

-f, --showformat=Format
    Diese Option wird dazu verwendet, das Format der Ausgabe anzugeben, das --show verwenden wird. Das Format ist eine Zeichenkette, die für jedes aufgeführte Paket ausgegeben wird. In der Formatzeichenkette leitet “\” Escape-Sequenzen ein:
        \n  Zeilenumbruch
        \r  Wagenrücklauf
        \t  Tabulator
    “\” vor einem anderen Zeichen unterdrückt jede spezielle Bedeutung des folgenden Zeichens. Dies ist für “\” und “$” nützlich. Package information can be included by inserting variable references to package fields using the syntax “${field[;width]}”. Fields are printed right-aligned unless the width is negative in which case left alignment will be used. The following fields are recognised but they are not necessarily available in the status file (only internal fields or fields stored in the binary package end up in it):
        Architecture
        Bugs
        Conffiles (internal)
        Config-Version (internal)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (internal, dselect related)
        Homepage
        Installed-Size
        MD5sum (internal, dselect related)
        MSDOS-Filename (internal, dselect related)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (obsolete)
        Section
        Size (internal, dselect related)
        Source
        Status (internal)
        Suggests
        Tag (usually not in the .deb but in APT's Packages files)
        Triggers-Awaited (internal)
        Triggers-Pending (internal)
        Version
    Die Standard-Formatzeichenkette ist “${Package}\t${Version}\n”. Tatsächlich können auch alle anderen Felder, die in der Statusdatei gefunden werden können (d.h. benutzerdefinierte Felder), abgefragt werden. Sie werden so dargestellt, wie sie gefunden werden, es erfolgt keine Umwandlung oder Fehlerüberprüfung. Um den Namen des Dpkg-Betreuers und die installierte Version zu erhalten, könnten Sie folgendes ausführen:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

UMGEBUNG

COLUMNS
    Diese Einstellung beeinflusst die Ausgabe der --list-Option durch Verändern der Breite ihrer Ausgabe.

AUTOR
Copyright © 2001 Wichert Akkerman

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2008 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.

SIEHE AUCH
dpkg(1).